/* Matthew A Hammer   */
/* <hammer@tti-c.org> */

struct DOUBLIST(_node_s) {
  struct DOUBLIST(_node_s)* next;
  struct DOUBLIST(_node_s)* prev;
  DOUBLIST(_val_t) val;
};

struct DOUBLIST(_headptr_s) {
  DOUBLIST(_node_t)* head;
};

struct DOUBLIST(_iter_s) {
  DOUBLIST(_node_t)* node;
};

struct DOUBLIST(_s) {
#if DOUBLIST_HEAPHEAD
  DOUBLIST(_headptr_t) headptr;
#else
  DOUBLIST(_node_t) node;
#endif  
}; 

#ifndef __DOUBLIST_C__
#ifdef DOUBLIST_INCSRC
#if    DOUBLIST_INCSRC
#include "doublist.c"
#endif
#endif
#endif
