#ifndef __ALLOCTBL_H__
#define __ALLOCTBL_H__

#include "heap.h"
#include "actk_types.h"
#include "../adt/freeset.h"
#include "allocation2.h"

#define HASHTBL(suffix) alloctbl##suffix
#define HASHTBL_HASH_FUN(node) actk_alloc_hash((actk_alloc_hd3_t*) node)
#define HASHTBL_MALLOC_ARRAY(sz) actk_libc_malloc(sz)
#define HASHTBL_FREE_ARRAY(sz, ptr) actk_libc_free(ptr)

#include "../adt/hashtbl.h"

#undef HASHTBL
#undef HASHTBL_HASH_FUN
#undef HASHTBL_MALLOC_ARRAY
#undef HASHTBL_FREE_ARRAY

#endif
