#ifndef __READLIST_H__
#define __READLIST_H__

#include "actk_types.h"
#include "heap.h"
#include "../adt/freeset.h"

#define DOUBLIST(suffix) readlist##suffix
#define DOUBLIST_VAL_TYPEDEF actk_closure_t*
#define DOUBLIST_HEAPHEAD 1
#define DOUBLIST_MALLOC(sz) actk_freeset_malloc(sz)
#define DOUBLIST_FREE(sz, ptr) actk_freeset_free(sz, ptr)
#include "../adt/doublist.h"
#undef DOUBLIST
#undef DOUBLIST_VAL_TYPEDEF
#undef DOUBLIST_HEAPHEAD
#undef DOUBLIST_MALLOC
#undef DOUBLIST_FREE

#endif
