#ifndef __READQUEUE_H__
#define __READQUEUE_H__

#include "heap.h"
#include "closure.h"

/* Use the priority-queue ADT */
#define PQUEUE(suffix) readqueue##suffix
#define PQUEUE_ELT_TYPEDEF actk_closure_t*
#define PQUEUE_ELT_COMP actk__closure_compare
#define PQUEUE_ELT_SETPOS actk__closure_setpos
#define PQUEUE_MALLOC actk_libc_malloc
#define PQUEUE_FREE actk_libc_free
#include "../adt/pqueue.h"
#undef PQUEUE
#undef PQUEUE_ELT_TYPEDEF
#undef PQUEUE_ELT_COMP
#undef PQUEUE_ELT_SETPOS

#endif
