/* Matthew Hammer  */
/* <hammer@tti-c.org> */

#ifndef __MERGESORT_H__
#define __MERGESORT_H__

#include "modlist.h"

/**
 * \addtogroup actk_stdlib_modlist
 * @{
 */

ACTK_FUN_SIG(modlist_mergesort, "mergesort",
             "sort list l using comparison comp, write result into d",
             ACTK_FUN_ARG("l",    modlist_cell_t*,      CONST_VAL),
             ACTK_FUN_ARG("d",    actk_modref_t*,       CONST_DST),
             ACTK_FUN_ARG("comp", modlist_cell_pred_t*, ENVIR_VAL)
             );
/* @} */
#endif
