 /* Matthew Hammer  */
/* <hammer@tti-c.org> */

#ifndef __MODUTIL_H__
#define __MODUTIL_H__

#include "actk.h"
#include <stdio.h>

ACTK_FUN_SIG(modutil_copy, "copy",
             "copies value [v] into destination [d].  "
             "(note: both the source [v] and the destination [d] may be each under banged modrefs)",
             ACTK_FUN_ARG("v", actk_val_t,      READ_LOC_OR_VAL),
             ACTK_FUN_ARG("d", actk_modref_t*,  READ_LOC_OR_VAL)
             );

ACTK_FUN_SIG(modutil_verifyeq, "verifyeq",
             "aborts if v1 != v2",
             ACTK_FUN_ARG("v1", actk_val_t,  READ_LOC_OR_VAL),
             ACTK_FUN_ARG("v2", actk_val_t,  READ_LOC_OR_VAL),
             );

#endif
