/* Matthew Hammer  */
/* <hammer@tti-c.org> */

#ifndef __QUICKHULL_H__
#define __QUICKHULL_H__

#include "modlist.h"

/**
 * \addtogroup actk_stdlib_geom2d
 * @{
 */

ACTK_FUN_SIG(quickhull, "quickhull",
             "using 2d points from l, find their convex hull and store in d (both"
             "input and output are modlists)",
             ACTK_FUN_ARG("l",    modlist_cell_t*, CONST_VAL),
             ACTK_FUN_ARG("d",    actk_modref_t*,  CONST_DST),
             );
/* @} */
#endif
