/* Matthew Hammer  */
/* <hammer@tti-c.org> */

#ifndef __QUICKSORT_H__
#define __QUICKSORT_H__

#include "modlist.h"

/**
 * \addtogroup actk_stdlib_modlist
 * @{
 */

ACTK_FUN_SIG(quicksort_via_split, "quicksort",
             "sort list l using comparison comp, write result into d, "
             "with list z as tail of sorted list",
             ACTK_FUN_ARG("l",    modlist_cell_t*,      READ_LOC_OR_VAL),
             ACTK_FUN_ARG("z",    modlist_cell_t*,      CONST_VAL),
             ACTK_FUN_ARG("d",    actk_modref_t*,       CONST_DST),
             ACTK_FUN_ARG("comp", modlist_cell_pred_t*, ENVIR_VAL)
             );

/* @} */
#endif
