/* Matthew A Hammer */
/* <hammer@tti-c.org */

#ifndef __FREELIST_H__
#define __FREELIST_H__

#include "adt_directives.h"

ABSTYPE(freelist_s, freelist_t);

void  freelist_init(freelist_t* freelist, unsigned int block_size);
void* freelist_pop(freelist_t* freelist);
void  freelist_push(freelist_t* freelist, void* ptr);

#include "freelist_impl.h"

#endif
