/* Matthew A Hammer */
/* <hammer@tti-c.org */

#ifndef __FREESET_H__
#define __FREESET_H__

#include "adt_directives.h"

ABSTYPE(freeset_s, freeset_t);


void  freeset_init(freeset_t* freeset, unsigned int max_block_size);
void* freeset_pop(freeset_t* freeset, unsigned int size);
void  freeset_push(freeset_t* freeset, unsigned int size, void* ptr);

#include "freeset_impl.h"

#endif
