/* Matthew Hammer */
/* <hammer@tti-c.org */

struct to_node1_s {
  to_node1_t* prev;
  to_node1_t* next;
  to_node2_t* children;
  to_label_t  label;
};

struct to_node2_s {
  to_node2_t* next;
  to_node1_t* parent;
  to_label_t  label;
  to_data_t   data;
  to_data_t   old_data; /* TEMP */
};

#define TO_T           (1.4)
#define TO_LABEL_BITS  ((sizeof(to_label_t)) * 8)
#define TO_LIST_SIZE   (TO_LABEL_BITS)
#define TO_MAX_LABEL   ((to_label_t) 1 << (TO_LABEL_BITS - 1))
#define TO_GAP_SIZE    (TO_MAX_LABEL / TO_LIST_SIZE)
#define TO_END_LABEL   (TO_MAX_LABEL - TO_GAP_SIZE)

#ifndef __TOTALORDER_C__
#ifdef TOTALORDER_INCSRC
#if    TOTALORDER_INCSRC
#include "totalorder.c"
#endif
#endif
#endif
