#ifndef ACTK_DIRECTIVES
#define ACTK_DIRECTIVES

#ifdef ACTK_DB

/* DEBUGGING STUFF */
#define DOUBLIST_DEBUG 1
#define HASHTBL_DEBUG 1
#define IF_DEBUG(...) __VA_ARGS__
#define IF_NDEBUG(...) /*nothing*/
#define ACTK_INLINE    /*nothing*/

#else

/* ANTI-DEBUGGING STUFF (Speed stuff) */
/* For an explanation of NDEBUG, see assert(3) */
#define NDEBUG 1
#define IF_DEBUG(...) /*nothing*/
#define IF_NDEBUG(...) __VA_ARGS__
#define ACTK_INLINE    inline

#endif
#endif
