#include "modutil.h"

ACTK_FUN(modutil_copy, modutil_copy_, 0);

void modutil_copy_(actk_state_t* st) {
  actk_fun_begin(st);
  actk_val_t      val = (actk_val_t) actk_fun_arg(st);
  actk_modref_t* dest = actk_fun_arg(st);    
  actk_write(st, dest, val);
  actk_fun_end(st);
}

ACTK_FUN(modutil_verifyeq, modutil_verifyeq_, 0);

void modutil_verifyeq_(actk_state_t* st) {
  actk_fun_begin(st);
  actk_val_t val1 = (actk_val_t) actk_fun_arg(st);
  actk_val_t val2 = (actk_val_t) actk_fun_arg(st);
  if(val1 != val2) {
    fprintf(stderr, "ERROR!: %p != %p\n", val1, val2);
    abort();
  }
  actk_fun_end(st);
}
