(* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - *)
(* The default set of experiments                                  *)
open Printf
open Util

let num_samples = 2

let data_path = "data_20080209"
  
let binary_path = "../bin/actk.perf"

let apptitle appname = (String.capitalize appname)


let z100k = [100; 500; 1000; 2500; 5000; 7500; 10000; 
             20000; 30000; 40000; 50000;
             60000; 70000; 80000; 90000;
             100000]

let z150k' = [135000; 150000]
let z300k' = [135000; 150000; 202500; 273375; 300000]
  
let z300k = z100k @ z300k'

let z1M = [100; 500; 1000; 5000; 10000; 50000; 100000;
             200000; 300000; 400000; 500000;
             600000; 700000; 800000; 900000;
             1000000]

let z2M' =  [1250000; 1500000; 1750000; 2000000]

let z2M = z1M @ z2M'


let applications =
  (* Applications and corresponding domain *)
  [
    (* ("traverse",   dom_table_1M) ; *)
    (* ("reverse",    dom_table_1M) ; *)
    (* ("split",      dom_table_1M) ; *)
    
(*
    ("filter",     z1M) ;
    ("map",        z1M) ;
    ("minimum",    z1M) ;
    ("sum",        z1M) ;
    ("quicksort",  z100k) ;
    ("mergesort",  z100k) ; 
    ("quickhull",  z100k) ;
    ("diameter",   z100k) ;
    ("distance",   z100k) ;
    ("exprtree",   z1M) ;
    ("bst",        z1M) ;
*)    
    ("mergesort",  z100k) ; 
(*    ("quicksort",  z150k') ;*)
    ("map",        z2M') ;
    ("sum",        z2M') ;
    ("quickhull",  z300k') ;
  ]

